Skip to main content
`Ctrl`+`K`

# MatColoringSetFromOptions

Sets `MatColoring` options from options database

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetFromOptions(MatColoring mc)

Collective

## Input Parameter

- mc - `MatColoring` context

## Options Database Keys

- -mat_coloring_type - the type of coloring algorithm used. See `MatColoringType`.

- -mat_coloring_maxcolors - the maximum number of relevant colors, all nodes not in a color are in maxcolors+1

- -mat_coloring_distance - compute a distance 1,2,… coloring.

- -mat_coloring_view - print information about the coloring and the produced index sets

- -snes_fd_color - instruct SNES to using coloring and then `MatFDColoring` to compute the Jacobians

- -snes_fd_color_use_mat - instruct `SNES` to color the matrix directly instead of the `DM` from which the matrix comes (the default)

## See Also

`MatColoring`, `MatColoringApply()`, `MatColoringSetDistance()`, `MatColoringSetType()`, `SNESComputeJacobianDefaultColor()`, `MatColoringType`

## Level

beginner

## Location

src/mat/graphops/color/interface/matcoloring.c

## Examples

src/mat/tutorials/ex16.c

## Implementations

MatColoringSetFromOptions_Greedy() in src/mat/graphops/color/impls/greedy/greedy.c
MatColoringSetFromOptions_JP() in src/mat/graphops/color/impls/jp/jp.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages